basic_type.cc File Reference
`#include "osl/basic_type.h"`
`#include "osl/bits/boardTable.h"`
`#include "osl/bits/ptypeTable.h"`
`#include "osl/simpleState.h"`
`#include "osl/bits/squareCompressor.h"`
`#include <iostream>`

Go to the source code of this file.

## Namespaces

namespace | osl

## Macros

#define | OFFSET_INDEX(dx, dy)

## Macro Definition Documentation

## OFFSET_INDEX

#define OFFSET_INDEX | ( |  | dx,
|  |  | dy )

Value:
((dx*BOARD_HEIGHT + dy) - OFFSET_MIN)

Definition at line 108 of file basic_type.cc.

Referenced by osl::Offset::dx(), and osl::Offset::dy().